Subject: [Healeys] No Healey question- Ford ball joints

From: Bob Johnson <[email-masked]>
Date: Tue, 8 Jan 2013 10:56:02 -0500

Does this sound reasonable? So I took my truck in to get a front end
alignment and inspection (in NC) at the same time. They did not do the
alignment because the lower ball joints were to worn to do an alignmnet.
New ball joints are almost $560 installed. But then, however, the ball
joints were not so worn that the truck did pass inspection. Really?

Bob Johnson
who obviously kept the Healey so I could work on it because I have a big
distrust for repair shops maybe?
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys